#
# spec file for package biff+comsat (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -nkita -nkitb
# usedforbuild    -nkita -nkitb aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         biff+comsat
Copyright:    BSD
Group:        Networking/Utilities
Autoreqprov:  on
Version:      0.17
Release:      102
Summary:      mail checker client and server
BuildRoot:    /var/tmp/%{name}-build
Url:          ftp://ftp.uk.linux.org/pub/linux/Networking/netkit
Source:       biff+comsat-%{version}.tar.bz2
Patch:        biff+comsat-%{version}.dif

%description
The biff client and comsat server are an antiquated method of
asynchronous mail notification.  Although they are still supported,
most users use their shell's MAIL variable to check for mail, or a
dedicated modern application.  If the comsat service is not enabled,
biff won't work and you'll need to use something else.

SuSE series: n

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
make install INSTALLROOT=$RPM_BUILD_ROOT
echo ".so man8/in.comsat.8" > $RPM_BUILD_ROOT%{_mandir}/man8/comsat.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
/usr/bin/biff
/usr/sbin/in.comsat

%changelog -n biff+comsat
* Sun Apr 22 2001 - kukuk@suse.de
- Include header file for time() prototype
- Use sockaddr_storage (IPv6)
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Thu Feb 15 2001 - kukuk@suse.de
- Split from nkitb
